Skip to content
WP Engine Documentation

Purge an install's cache

POST
/installs/{install_id}/purge_cache
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/purge_cache \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "type": "object" }'

This will purge the specified cache associated with the install. Allowed types:

      - "object"
      - "page"
      - "cdn"
      - "all"
install_id
required
string format: uuid

ID of install

Properties
  • type - required - The type of cache to be purged
Media type application/json
object
type
required
string
Allowed values: object page cdn all
Example
{
"type": "object"
}

Accepted

Media type application/json

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "Object cache purges are rate-limited to one request every 60 seconds for each install"
}

Service unavailable

Media type application/json